from setuptools import setup, find_packages

setup(
    name='pqai_agent',
    version='0.1.0',
    description='A Python package for Piaoquan AI Agent functionalities.',
    author='FENG Zhoutian',
    author_email='fengzhoutian@hotmail.com',
    url='https://git.yishihui.com/Server/AgentCoreService',
    packages=find_packages(),
    install_requires=[
        'annotated-types==0.7.0',
        'anyio==4.9.0',
        'APScheduler==3.11.0',
        'Authlib==1.5.1',
        'certifi==2025.1.31',
        'cffi==1.17.1',
        'charset-normalizer==3.4.1',
        'cozepy==0.13.0',
        'cryptography==44.0.2',
        'Deprecated==1.2.18',
        'distro==1.9.0',
        'grpcio==1.71.0',
        'grpcio-tools==1.71.0',
        'httpcore==1.0.7',
        'httpx==0.27.2',
        'idna==3.10',
        'importlib_metadata==8.6.1',
        'iniconfig==2.1.0',
        'jiter==0.9.0',
        'openai==1.68.2',
        'packaging==24.2',
        'pluggy==1.5.0',
        'protobuf==5.29.4',
        'pycparser==2.22',
        'pydantic==2.10.6',
        'pydantic_core==2.27.2',
        'PyJWT==2.10.1',
        'PyMySQL==1.1.1',
        'pytest==8.3.5',
        'PyYAML==6.0.2',
        'rocketmq-python-client==5.0.5',
        'requests>=2.0.0',
        'setuptools==78.1.0',
        'sniffio==1.3.1',
        'tqdm==4.67.1',
        'typing_extensions==4.13.0',
        'tzlocal==5.3.1',
        'urllib3==2.3.0',
        'websockets==14.2',
        'wrapt==1.17.2',
        'zipp==3.21.0',
        'docstring_parser~=0.16',
        'pyapollos~=0.1.5',
        'Werkzeug~=3.1.3',
        'Flask~=3.1.0',
        'jsonschema~=4.23.0',
    ],
    classifiers=[
        'Programming Language :: Python :: 3',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',
)